#
#  FILE NAME:
#      ordered_row_constructor.py
#
#  AUTHOR(S):
#      Dariusz Walczak <dariusz.walczak@gmail.com>
#

# P3 imports:
from p3.data.row import Row


class OrderedRowConstructor(object):
    def __init__( self, values ):
        self.values = values

    def create( self, table ):
        r = Row( table )
        if len(self.values) < len(table.cols):
            r.fill_default()
        r.fill_by_position( self.values )
        return r
